/* AWSplitView */

#import <Cocoa/Cocoa.h>
#import "Class.h"

typedef enum {
	AWSplitViewLineDividerType = 1,
	AWSplitViewSmoothDividerType
} AWSplitViewDividerType;

typedef enum {
	AWSplitViewResizeFirstFrameBehavior = 1,
	AWSplitViewResizeLastFrameBehavior
} AWSplitViewResizeBehavior;

@interface AWSplitView : NSSplitView
{
	unsigned int dividerType;
	unsigned int resizeBehavior;
	float minimumSizeOfSubview;
	float maximumSizeOfSubview;
	
	IBOutlet NSBox * slidingBox;
}

- (float)position;
- (void)setPosition:(float)position;
- (unsigned int)dividerType;
- (void)setDividerType:(unsigned int)typeInt;
- (unsigned int)resizeBehavior;
- (void)setResizeBehavior:(unsigned int)behaviorInt;
- (float)minimumSizeOfSubview;
- (void)setMinimumSizeOfSubview:(float)sizeFloat;
- (float)maximumSizeOfSubview;
- (void)setMaximumSizeOfSubview:(float)sizeFloat;

@end
