//
//  MyToolbar.h
//  Timesheet
//
//  Created by Luke Gladding on 18/09/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Class.h"

@interface MyToolbar : NSToolbar {
	MyDocument * document;
	
	IBOutlet NSSegmentedControl *	modeControlTemplate;
	NSSegmentedControl *			modeControl;
	
	IBOutlet NSButton *				infoButtonTemplate;
	NSButton *						infoButton;
}

- (NSSegmentedControl *)modeControl;
- (NSButton *)infoButton;

- (id)initWithIdentifier:(NSString *)identifier withDocument:(MyDocument *)doc;

- (void)handleClickModeControl:(id)sender;

@end
